---
# This will store all the found services in a variable called services
- name: Populate service facts
  ansible.builtin.service_facts:

- name: Stop Docker socket if service exists
  become: true
  ansible.builtin.service:
    name: docker.socket
    state: stopped
  # The socket doesn't exist within containers, so skip for them
  when: >
    ansible_facts['virtualization_type']|lower != 'docker' and
    services is defined and
    ('docker' in services or 'docker.service' in services)

- name: Stop Docker service if it exists
  become: true
  ansible.builtin.service:
    name: "{{ item }}"
    state: stopped
  when: services is defined and item in services
  loop: ['docker', 'docker.service']

- name: Include OS-specific import task
  ansible.builtin.include_tasks: "{{  role_path + '/../common/tasks/import_os_steps.yml' }}"

- name: Delete Docker group
  become: true
  ansible.builtin.group:
    name: docker
    state: absent
